:root {
  /* 🎨 Colores base */
  --color-fondo: #ffffff;
  /* --color-fondo-secundario: #f8e8ee; */
  --color-fondo-secundario: #f5f1ee;
  /* --color-fondo-secundario: #d6d6d6 ; */

  --color-primario: #f2c6d4;
  --color-primario-hover: #eab3c4;

  --color-texto: #1f1f1f;
  --color-texto-secundario: #6b6b6b;

  --color-blanco: #ffffff;
  --color-negro: #1f1f1f;

  /* 🎯 Detalles UI */
  --color-borde: #f0d6de;
  --color-hover-nav: #f2c6d4;

  /* ✍️ Tipografía */
  /*   --fuente-principal: "Poppins", sans-serif; */
  /*  --fuente-principal: "Outfit", sans-serif; */
  --fuente-principal: "Quicksand", sans-serif;
}

html {
  box-sizing: border-box;
  font-size: 62.5%;
  scroll-behavior: smooth;
}

*,
*:before,
*:after {
  box-sizing: inherit;
  margin: 0;
  padding: 0;
}
p {
  font-size: 2rem;
}

body {
  background-color: var(--color-fondo-secundario);
  display: flex;
  flex-direction: column;
  min-height: 100vh;

  font-family: var(--fuente-principal);
}

img {
  border-radius: 1rem;
}

.navbar {
  width: 100%;
  background-color: var(--color-blanco);
  border-bottom: 1px solid var(--color-borde);
}

.navbar-contenedor {
  max-width: 120rem;
  /*     background-color: rebeccapurple; */
  display: flex;
  padding: 0 4rem;
  margin-left: auto;
  margin-right: auto;
  align-items: center;
  height: 8rem;
  align-items: center;
}

.navbar-logo {
  width: 20rem;
  height: 6rem;
}
.navbar-logo img {
  height: 6rem;
  width: auto;
}

.navbar-enlaces {
  display: flex;
  align-items: center;
  margin-left: auto;
  gap: 3rem;
}

.navbar a {
  position: relative;
  font-size: 2rem;
  text-decoration: none;
}

.navbar a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -5px;
  width: 0%;
  height: 2px;
  background-color: var(--color-primario);
  transition: width 0.3s ease;
}

.navbar a:hover::after {
  width: 100%;
}

.navbar a:visited,
.navbar a:link {
  color: var(--color-negro);
}
.navbar a.activo {
  color: var(--color-primario);
}

main {
  max-width: 100%;
  padding: 2rem 0;
  flex: 1;
}

h1 {
  font-size: 3.5rem;
  margin-bottom: 2.5rem;
}

section {
  margin-bottom: 4rem;
}

.seccion-principal {
  max-width: 120rem;
  margin: 0 auto;
  padding: 4rem 2rem; /* 
  background-color: red; */
}

.hero {
  position: relative;
  /*   height: clamp(30rem, 50vh, 60rem); */
  /*  height: clamp(20rem, 35vh, 40rem); */
  /*   height: clamp(28rem, 45vh, 55rem); */
  height: clamp(40rem, 50vh, 60rem);
  width: 100%;

  background-image: url(../imagenes/fondo-hero2.jpg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.hero::before {
  content: "";
  position: absolute;
  inset: 0;
  background: radial-gradient(
    circle at center,
    rgba(0, 0, 0, 0.3),
    rgba(0, 0, 0, 0.6)
  );
}

.hero h1 {
  font-size: 5rem;
}

.hero h1,
.hero p {
  position: relative;
  color: white;
  text-align: center;
}

.hero p {
  font-size: 2.5rem;
  margin-top: 1rem;
  font-style: italic;
}

.servicios-destacados {
  text-align: center;
}

.contenedor-card {
  display: flex;
  gap: 3rem;
  justify-content: center;
}

.card {
  background-color: white;
  width: 25rem;
  height: 20rem;

  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 1rem;
  border-radius: 1rem;
}

.card-imagen {
  width: 100%;
  height: 90%;

  border-radius: 1rem;
  overflow: hidden;
}

.card-imagen img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.card-texto {
  /* background-color: aquamarine; */
}

.mini-galeria {
  text-align: center;
}

.cta {
  text-align: center;
}

.contenedor-contacto {
  display: flex;
  flex-direction: row;
  justify-content: center;
  width: 100%;
  gap: 2rem;
  /*  background-color: #25d366; */
  padding: 0 1rem;
}

.contenedor-contacto .texto h3 {
  font-size: 2.4rem;
  margin-bottom: 1rem;
}

.contenedor-contacto .texto {
  background-color: var(--color-blanco);
  border-radius: 1rem;
  padding: 2rem;
  flex: 1;
}

.contenedor-contacto .descripcion {
  font-size: 1.6rem;
  margin-bottom: 2rem;
  color: var(--color-texto-secundario);
}

.info-contacto {
  margin-top: 2rem;
}
.info-contacto p {
  margin-bottom: 1.5rem;
  font-size: 1.6rem;
  line-height: 1.5;
}
.info-contacto p {
  padding-bottom: 1rem;
  border-bottom: 1px solid var(--color-borde);
}

/* .contenedor-contacto .info-contacto p {
  margin-bottom: 1.5rem;
  font-size: 1.6rem;
} */

.contenedor-contacto .btn-whatsapp {
  display: inline-block;
  margin-top: 1rem;
  background: #25d366;
  color: white;
  padding: 1.2rem 2rem;
  border-radius: 0.5rem;
  text-decoration: none;
  font-size: 1.6rem;
}

.contenedor-contacto .contacto-imagen {
  flex: 1;
  height: auto;
}
.contenedor-contacto .contacto-imagen img {
  border-radius: 1rem;
  width: 100%;
  /*  height: 100%; */
  height: 45rem;
  object-fit: cover;
  border-radius: 1rem;
}

.contenedor-galeria {
  width: 100%;

  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  padding: 0 1rem;
  justify-content: center;
}

.card-galeria {
  width: 35rem;
  height: 25rem;
  padding: 0;
  border-radius: 1rem;
  /* overflow: hidden; */
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.05);
}

.card-galeria img {
  width: 100%;
  height: 100%;
  border-radius: 1rem;
  object-fit: cover;
  object-position: center;
  transition: transform 0.3s ease;
}

.card-galeria:hover img {
  transform: scale(1.05);
}

.titulo-seccion {
  text-align: center;
}

footer {
  width: 100%;
  /* background-color: var(--color-blanco); */
  background-color: #ebe5e2;
  padding: 2rem 0;
}

footer p {
  text-align: center;
  color: var(--color-negro);
  font-size: 1.6rem;
  /*  font-weight: bold; */
}

.seccion-servicios {
}

.titulo-seccion {
  text-align: center;
  font-size: 3rem;
  margin-bottom: 4rem;
}

/* Secciones */
.seccion-servicio {
  margin-bottom: 4rem;
}

.seccion-servicio h3 {
  font-size: 2.4rem;
  margin-bottom: 2rem;
}

/* Cards acrílicas */
.cards-acrilicas {
  display: flex;
  gap: 2rem;
  margin-bottom: 2rem;
  justify-content: center;
}

.card {
  background: var(--color-blanco);
  border-radius: 1rem;
  overflow: hidden;
  width: 20rem;
  text-align: center;
  padding-bottom: 1rem;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.05);
}

.card img {
  width: 100%;
  height: 15rem;
  object-fit: cover;
}

.card p {
  font-size: 1.6rem;
  margin-top: 1rem;
}

.card span {
  font-weight: bold;
  color: var(--color-primario);
}

/* Lista de precios */
.lista-precios {
  list-style: none;
}

.lista-precios li {
  display: flex;
  justify-content: space-between;
  font-size: 1.6rem;
  padding: 0.5rem 0;
  border-bottom: 1px solid var(--color-borde);
}

.columnas-precios {
  display: flex;
}

/* Precio simple */
.precio {
  font-size: 1.8rem;
  margin-bottom: 1rem;
}

.precio span {
  display: block;
  font-size: 1.4rem;
  color: var(--color-texto-secundario);
}

/* .columnas-servicios {
  display: flex;
  justify-content: center;
  gap: 40rem;
} */

.columnas-servicios {
  display: flex;
  justify-content: center;
  gap: 4rem;
  flex-wrap: wrap;
  /*   background-color: #25d366; */
}

.seccion-servicio-pequenio {
  background: var(--color-blanco);
  padding: 2rem;
  border-radius: 1rem;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.05);
  width: 30rem;
  margin: 1rem;

  display: flex;
  flex-direction: column;
  justify-content: center;
}

.seccion-servicio-pequenio h3 {
  font-size: 2rem;
}

/* Grid diseño */
/* .grid-precios {
  display: flex;
  gap: 4rem;
} */
.grid-precios {
  display: flex;
  gap: 3rem;
  justify-content: center;
}

.grid-precios ul {
  list-style: none;
  width: 100%;
}

.grid-precios li {
  display: flex;
  justify-content: space-between;
  padding: 0.5rem 0;
}

/* SECCIONES GENERALES */
section {
  margin-bottom: 6rem;
  text-align: center;
}

section h2 {
  font-size: 3rem;
  /* margin-bottom: 3rem; */
  margin-bottom: 3rem;
}

/* POR QUÉ ELEGIRNOS */
.porque-grid {
  display: flex;
  gap: 2rem;
  justify-content: center;
  flex-wrap: wrap;
}

.porque-item {
  background: var(--color-blanco);
  padding: 2rem;
  border-radius: 1rem;
  width: 22rem;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.05);
}

.porque-item p {
  font-size: 2.5rem;
}

.porque-item h3 {
  font-size: 1.6rem;
  margin: 1rem 0;
}

.porque-item span {
  font-size: 1.4rem;
  color: var(--color-texto-secundario);
}

/* MINI GALERÍA */
.mini-galeria-grid {
  display: flex;
  gap: 2rem;
  justify-content: center;
  margin-bottom: 2rem;
}

.mini-galeria-grid img {
  width: 20rem;
  height: 15rem;
  object-fit: cover;
  border-radius: 1rem;
}

/* TESTIMONIOS */
.testimonios-grid {
  display: flex;
  gap: 2rem;
  justify-content: center;
  flex-wrap: wrap;
}

.testimonio {
  background: var(--color-blanco);
  padding: 2rem;
  border-radius: 1rem;
  width: 25rem;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.05);
}

.testimonio p {
  font-size: 1.6rem;
  margin-bottom: 1rem;
}

.testimonio span {
  font-size: 1.4rem;
  color: var(--color-texto-secundario);
}

/* CTA */
/* .cta {
  background: linear-gradient(135deg, #f2c6d4, #eab3c4);
  padding: 4rem 2rem;
  border-radius: 1rem;
} */
/* .cta {
  background: linear-gradient(135deg, #f2c6d4, #eab3c4);
  padding: 4rem 2rem;
  border-radius: 1rem;
}
 */
.cta {
  background: #f8dce5;
  padding: 4rem 2rem;
  border-radius: 1rem;
  max-width: 90rem;
  margin: 0 auto;
  /*  border: 2px solid var(--color-primario); */
}
.cta h2 {
  color: var(--color-negro);
  margin-bottom: 2rem;
}

.cta p {
  /*   margin: 1rem 0; */
  margin-bottom: 1.5rem;
}

/* BOTÓN */
/* .btn {
  display: inline-block;
  background: var(--color-negro);
  color: var(--color-blanco);
  padding: 1rem 2rem;
  border-radius: 0.5rem;
  text-decoration: none;
  margin-top: 1rem;
  transition: background 0.3s;
} */
.btn {
  margin-top: 12rem;
  background: var(--color-blanco);
  color: var(--color-negro);
  padding: 1.2rem 2.5rem;
  border-radius: 0.8rem;
  font-size: 1.6rem;
  font-weight: 500;
}
/* .btn {
  background: var(--color-negro);
  color: var(--color-blanco);
  font-size: 1.6rem;
  padding: 1.2rem 2.5rem;
} */

/* .btn:hover {
  background: var(--color-texto-secundario);
} */

.btn:hover {
  transform: translateY(-2px);
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.15);
  transition-duration: 0.3s;
}

.seccion-nosotros {
}

.seccion-nosotros h2 {
  text-align: center;
  font-size: 2.8rem;
  margin-bottom: 3rem;
}

.nosotros-contenido {
  display: flex;
  gap: 4rem;
  align-items: center;
}

.nosotros-texto {
  flex: 1;
  /*   background-color: green; */
}

.nosotros-texto p {
  font-size: 1.6rem;
  margin-bottom: 1.5rem;
}

.nosotros-texto ul {
  list-style: none;
}

.nosotros-texto li {
  font-size: 1.6rem;
  margin-bottom: 0.5rem;
}

.seccion-nosotros {
  max-width: 110rem;
  margin: 0 auto;
}

.nosotros-contenido {
  display: flex;
  gap: 4rem;
  align-items: center;
  background: var(--color-blanco);
  padding: 2rem;
  border-radius: 1.5rem;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.05);
}

.nosotros-texto {
  flex: 1;
  text-align: left;
}

.nosotros-texto p {
  font-size: 1.6rem;
  line-height: 1.6;
}

.nosotros-texto p {
  font-size: 1.6rem;
  line-height: 1.8; /* antes 1.6 */
  /* color: var(--color-texto-secundario); */
}

.nosotros-texto ul {
  margin-top: 1.5rem;
}

.nosotros-texto li {
  margin-bottom: 1rem;
  display: flex;
  align-items: center;
  gap: 1rem;
}

/* .nosotros-texto li {
  margin-bottom: 1rem;
  display: flex;
  align-items: center;
  gap: 1rem;
  font-weight: 500;
} */
.nosotros-texto li {
  background: #fff;
  padding: 0.8rem 1rem;
  border-radius: 1rem;
  box-shadow: 0 3px 10px rgba(0, 0, 0, 0.03);
}

.nosotros-img {
  flex: 1;
}

.nosotros-img img {
  width: 100%;
  height: 100%;
  max-height: 40rem;
  object-fit: cover;
  border-radius: 1.5rem;
}
.nosotros-contenido:hover {
  transform: translateY(-3px);
  transition: 0.3s;
}

/* .nosotros-img img {
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);
}

.nosotros-img {
  position: relative;
}

.nosotros-img::after {
  content: "";
  position: absolute;
  bottom: -10px;
  right: -10px;
  width: 100%;
  height: 100%;
  border: 2px solid var(--color-primario);
  border-radius: 1.5rem;
  z-index: -1;
} */

.subtitulo-nosotros {
  font-size: 2.2rem;
  margin-bottom: 1rem;
  color: var(--color-primario);
}

.nosotros-img {
  flex: 1;
}

.nosotros-img img {
  width: 100%;
  height: 40rem;
  object-fit: cover;
  border-radius: 1rem;
}

.seccion-promociones h2 {
  text-align: center;
  font-size: 2.8rem;
  margin-bottom: 3rem;
}

.promo {
  display: flex;
  gap: 4rem;
  align-items: center;
  margin-bottom: 4rem;
  padding: 2rem;
}

.promo-texto {
  flex: 1;
}

.promo-texto h3 {
  font-size: 2rem;
  margin-bottom: 1rem;
}

.promo-texto p {
  font-size: 1.6rem;
  margin-bottom: 1rem;
}

.promo-texto ul {
  margin-left: 1.5rem;
}

.promo-texto li {
  font-size: 1.6rem;
}

/* .promo-texto span {
  display: block;
  margin-top: 1rem;
  color: var(--color-primario);
  font-weight: bold;
}

.promo-texto span {
  display: inline-block;
  margin-top: 1rem;
  background: var(--color-blanco);
  padding: 0.5rem 1rem;
  border-radius: 1rem;
  font-size: 1.4rem;
  border-color: var(--color-primario);
  border-width: 0.5rem;
  border-style: double;
} */

.promo-texto span {
  display: inline-block;
  margin-top: 1rem;
  background: var(--color-primario);
  color: white;
  padding: 0.4rem 1rem;
  border-radius: 2rem;
  font-size: 1.3rem;
  font-weight: 500;
}

/* .promo-texto span {
  display: inline-block;
  margin-top: 1rem;
  color: var(--color-primario);
  font-size: 1.4rem;
  font-weight: bold;
} */

.promo-destacado {
  font-size: 1.8rem;
  font-weight: 600;
  color: var(--color-primario);
}

.promo-img {
  flex: 1;
}

.promo-img img {
  width: 100%;
  height: 40rem;
  object-fit: cover;
  border-radius: 1rem;
}

.seccion-promociones {
  max-width: 110rem;
  margin: 0 auto;
}

.promo {
  background: var(--color-blanco);
  border-radius: 1.5rem;
  overflow: hidden;
  display: flex;
  gap: 2rem;
  margin-bottom: 3rem;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.05);
}

.promo-texto {
  flex: 1;
  padding: 2rem;
  text-align: left;
}

.promo-texto h3 {
  font-size: 2.2rem;
}

.promo-texto p {
  font-size: 1.6rem;
  /* line-height: 1.5; */
}

.promo-texto ul {
  margin-top: 1rem;
}

.promo-texto li {
  margin-bottom: 0.5rem;
}

.promo-img {
  flex: 1;
}

.promo-img img {
  width: 100%;
  height: 35rem;
  object-fit: cover;
}

.promo:hover {
  transform: translateY(-3px);
  transition: 0.3s;
}

/* .promo:hover {
  transform: translateY(-5px) scale(1.01);
} */

@media (max-width: 768px) {
  .navbar-contenedor,
  .navbar-enlaces,
  .promo,
  .nosotros-contenido,
  .contenedor-contacto {
    flex-direction: column;
  }

  .navbar-contenedor {
    height: auto;
    justify-content: center;
  }
  .navbar-enlaces {
    margin-left: auto;
    margin-right: auto;
    margin-top: 2rem;
    margin-bottom: 2rem;
  }

  .mini-galeria-grid,
  .contenedor-card {
    flex-direction: column;

    align-items: center;
  }
}
